Postgres-XC 1.1 Documentation
Prev | Up |  | Next

# ALTER COLLATION

## Name

ALTER COLLATION -- change the definition of a collation

## Synopsis

    ALTER COLLATION name RENAME TO new_name
    ALTER COLLATION name OWNER TO new_owner
    ALTER COLLATION name SET SCHEMA new_schema

## Description

`ALTER COLLATION` changes the definition of a collation.

You must own the collation to use `ALTER COLLATION`. To alter the owner, you must also be a direct or indirect member of the new owning role, and that role must have `CREATE` privilege on the collation's schema. (These restrictions enforce that altering the owner doesn't do anything you couldn't do by dropping and recreating the collation. However, a superuser can alter ownership of any collation anyway.)

## Parameters

`name`

  The name (optionally schema-qualified) of an existing collation.

`new_name`

  The new name of the collation.

`new_owner`

  The new owner of the collation.

`new_schema`

  The new schema for the collation.

## Examples

To rename the collation `de_DE` to `german`:

    ALTER COLLATION "de_DE" RENAME TO german;

To change the owner of the collation `en_US` to `joe`:

    ALTER COLLATION "en_US" OWNER TO joe;

## Compatibility

There is no `ALTER COLLATION` statement in the SQL standard.

## See Also

CREATE COLLATION, DROP COLLATION

Prev | Home | Next
ALTER AGGREGATE | Up | ALTER CONVERSION